//////////////////////////////////////////////////////////////////////////////
//
// Asura_FriendsList.cpp
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
// Description:
//
//     platform-independent interface for online friends list
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#ifdef ASURA_SUPPORT_LOBBY

// This file's header.
#include "Network/Online/Asura_FriendsList.h"

// Asura independent includes
#include "Debugging/Asura_Assert.h"

bool Asura_FriendsList::s_bFriendsGUIActive;

void Asura_FriendsList::Initialise()
{
	Platform_Initialise();
}

void Asura_FriendsList::Shutdown()
{
	Platform_Shutdown();
}

void Asura_FriendsList::ShowFriendsGUI()
{
	s_bFriendsGUIActive = Platform_ShowFriendsGUI();
}

void Asura_FriendsList::FriendsGUIDeactivated()
{
	Asura_Assert(s_bFriendsGUIActive, "expected friends gui to be active");
	s_bFriendsGUIActive = false;
}

#endif // #ifdef ASURA_SUPPORT_LOBBY
